打印

2.6.X核心编译建议

如果你没有 scsi 硬盘 去掉drivers/scsi分支就可以了

TOP

升级后我的红旗4.1没有声音了,是不是要配置什么???

我的声卡是集成的AC97(华硕PB-533)

TOP

我编译到最后一步了,就是不能生成initrd-2.6.11.4.img文件
使用老兄的方法,发现如下错误,哪位能帮忙解决?
[powerli@powerli powerli]$ sudo /sbin/mkinitrd /boot/initrd-2.6.11.4.img  2.6.11.4
/dev/mapper/control: open failed: No such file or directory
Is device-mapper driver missing from kernel?
Command failed
All of your loopback devices are in use.

TOP

關注ing
天涼好個秋!

TOP

suowei1979班主说的是正确的,我就试验过。
如果不用make modules_install,不会在/lib/modules下建立相应的模块。
而即使手动建立目录,然后make install,可以通过,但会留下隐患。

然后make modules是不需要的,注意观察编译过程,在make的最后步骤,就是building modules ,如果还自己make modules,只是重复。 请大家编译的时候注意编译过程的提示,并不是一make就泡杯茶或者咖啡干别的去了。有些信息提示还是有价值的。

TOP

[quote:4fa41018f3="bing"]还不如说说内核里的配置吧。[/quote]

TOP

[quote:6202f76d66="zhenli1981"]我编译到最后一步了,就是不能生成initrd-2.6.11.4.img文件[/quote]
我也是~~我也遇到同樣的困擾~~~
使用老兄的方法,发现如下错误,哪位能帮忙解决?
[quote:6202f76d66="zhenli1981"][powerli@powerli powerli]$ sudo /sbin/mkinitrd /boot/initrd-2.6.11.4.img  2.6.11.4
/dev/mapper/control: open failed: No such file or directory
Is device-mapper driver missing from kernel?
Command failed
All of your loopback devices are in use.[/quote]

請問最後一行是什麼意思??一直出現,讓我很困擾~~
請各位好手們幫忙解釋一下~謝謝您~~

TOP

loopback 设备都用完了

TOP

[quote:c32178bd7a="cnhnln"]loopback 设备都用完了[/quote]
是的  我知道從字面上解釋是這樣的.
但是我不懂這代表什麼意義??
為何這樣mkinitrd 就會failed??
如此一來,我的升級一直不能算是百分之百的成功,
是否在過程中我遺漏了什麼步驟,或是哪裡沒注意到呢?

TOP

ls /dev | grep loop

TOP

[quote:ca0e5a18fb="cnhnln"]ls /dev | grep loop[/quote]

我發現在新的內核下mkinitrd會產生all loopback devices are in use的信息

所以我用舊內核開機然後就可以產生了

但是仍舊  新內核開機後  模組都無法載入  所以我的升級仍然不成功

有人告訴我  從內核2.4直接升級到2.6是不可能成功的  因為兩者的架構不同  請問這是真的嗎??   有人成功過嗎??

TOP

当前所用内核在编译时需要在块设备里打开loop支持
引用:
#
# Block devices
#
CONFIG_BLK_DEV_FD=m
# CONFIG_BLK_DEV_XD is not set
# CONFIG_BLK_CPQ_DA is not set
# CONFIG_BLK_CPQ_CISS_DA is not set
# CONFIG_BLK_DEV_DAC960 is not set
# CONFIG_BLK_DEV_UMEM is not set
CONFIG_BLK_DEV_LOOP=y
把使用2.4的发行版升级到2.6不是不可能,但是会很麻烦

2.6的内核模块名由.o变成了.ko,以区别普通模块,所以要修改加载模块的脚本。当然这只是第一步,要做的工作还很多,你可以看看精华区,我记得好像有相关文章

TOP

学习!

TOP

不用安装module-init-tools工具吗?
Linux公社西安思源学院联络员

TOP

我装了新内核 但现在不能上网了

TOP